summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/init_slapd.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2006-08-22 20:33:39 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:16:31 -0500
commit7c5bb2bce7453ef9289c5dfff509442f9ae8b199 (patch)
tree25200899216c815dced41a36bff2bced62c63c9b /source4/lib/ldb/tests/init_slapd.sh
parent867d900b562e58341b78ba3b6a95e4ce08bc7680 (diff)
downloadsamba-7c5bb2bce7453ef9289c5dfff509442f9ae8b199.tar.gz
samba-7c5bb2bce7453ef9289c5dfff509442f9ae8b199.tar.bz2
samba-7c5bb2bce7453ef9289c5dfff509442f9ae8b199.zip
r17718: don't consider a slapadd failure in the ldap backend tests as a ldb
failure (This used to be commit 72cdf93b5a9246f224afa3ba765fae25de1c2b7a)
Diffstat (limited to 'source4/lib/ldb/tests/init_slapd.sh')
-rwxr-xr-xsource4/lib/ldb/tests/init_slapd.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/source4/lib/ldb/tests/init_slapd.sh b/source4/lib/ldb/tests/init_slapd.sh
index be3e99365c..be06ac0d74 100755
--- a/source4/lib/ldb/tests/init_slapd.sh
+++ b/source4/lib/ldb/tests/init_slapd.sh
@@ -17,4 +17,7 @@ if [ -f tests/tmp/slapd.pid ]; then
rm -f tests/tmp/slapd.pid
fi
-slapadd -f $LDBDIR/tests/slapd.conf < $LDBDIR/tests/init.ldif || exit 1
+# we don't consider a slapadd failure as a test suite failure, as it
+# has nothing to do with ldb
+slapadd -f $LDBDIR/tests/slapd.conf < $LDBDIR/tests/init.ldif || exit 0
+